Bug 62929 - Bad floppy is accepted for floppy bootdisk creation
Bad floppy is accepted for floppy bootdisk creation
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-04-07 17:35 EDT by dshirsh
Modified: 2007-03-26 23:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-11 20:05:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dshirsh 2002-04-07 17:35:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
A corrupted floppy was used for the boot floppy creation phase of installation. 
The system indicated the boot disk was successfully created. Floppy failed at 
boot time when it went to the VMLINUZ load. Checked floppy and found that it 
could not be formatted at all.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Get a corrupt (non-formattable) floppy
2. Use it in the boot floppy phase of the install
3. Reboot using it

Expected Results:  If the floppy was bad then Anaconda should have detected it. 
A quick verify after writing the data should be utilized. Give the user a 
chance to redo this phase using a fresh floppy if an error is detected.

Additional info:
Comment 1 Warren Togami 2002-04-08 04:13:41 EDT
This is a problem that occurs often with rawrite or dd of images onto damaged 
floppies.  The only way to protect yourself from this is to format a floppy 
beforehand and be sure there are no bad sectors. 
Would it be possible for Anaconda to do this format check before writing the 
boot disk?
Comment 2 Michael Fulbright 2002-04-09 12:52:58 EDT
I will make this a request for a future release, we cannot make these types of
changes now.
Comment 3 Jeremy Katz 2003-01-03 02:23:02 EST
We now check to ensure that the initrd and kernel we wrote to the boot floppy
are the size we expected them to be.
Comment 4 Mike McLean 2003-02-11 20:05:06 EST

Note You need to log in before you can comment on or make changes to this bug.